ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = CUIWFSP
PROJFILE = CUIWFSP.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /Alnw /W2 /G2 /Zp /BATCH /Gw
CFLAGS_D  = /f /Od /Zi /Gs
CFLAGS_R  = /f- /Os /Og /Oe /Gs
CXX  = cl
CXXFLAGS_G  = /G2 /W2 /ASw /GD /Zp /BATCH
CXXFLAGS_D  = /f /Zi /Od /Gs
CXXFLAGS_R  = /f- /Oe /Og /Os /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /NOF
LFLAGS_R  = /NOF
LLIBS_G  = LIBW.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
RC  = rc
IMPLIB	= implib
LLIBS_R  = /NOD:MLIBCE MDLLCEW
LLIBS_D  = /NOD:MLIBCE MDLLCEW

FILES  = DLGPROCS.C MSSHLSTF.LIB MSCOMSTF.LIB MSUILSTF.LIB CUIRES.RC CUI.DEF
DEF_FILE  = CUI.DEF
OBJS  = DLGPROCS.obj
LIBS_EXT  = MSSHLSTF.LIB MSCOMSTF.LIB MSUILSTF.LIB
LIBS  = $(LIBS_EXT)
RESS  = CUIRES.res

all: $(PROJ).dll

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .res .c .rc

DLGPROCS.obj : DLGPROCS.C cui.h dialogs.h
!IF $(DEBUG)
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoDLGPROCS.obj DLGPROCS.C
<<
!ELSE
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoDLGPROCS.obj DLGPROCS.C
<<
!ENDIF

CUIRES.res : CUIRES.RC dialogs.h cuires.dlg wfsound.ico arnold.ico perot.ico\
	clinton.ico clint.ico homer.ico marge.ico bush.ico france.ico\
	germany.ico spain.ico sweden.ico china.ico russia.ico
	$(RC) $(RCFLAGS1) /r /fo CUIRES.res CUIRES.RC


$(PROJ).dll : $(DEF_FILE) $(OBJS) $(LIBS) $(RESS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf
	$(RC) $(RCFLAGS2) $(RESS) $@
	$(IMPLIB) $*.lib $@


.c.obj :
!IF $(DEBUG)
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo$@ $<
<<
!ELSE
	@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<
!ENDIF

.rc.res :
	$(RC) $(RCFLAGS1) /r /fo $@ $<


run: $(PROJ).dll
	

debug: $(PROJ).dll
	
